Package it.ernytech.tdlib.utils

## Enum Arch

- java.lang.Object
- - java.lang.Enum<Arch>
  - - it.ernytech.tdlib.utils.Arch

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Arch>`

    public enum Arch
    extends java.lang.Enum<Arch>

Enumeration with all architectures recognized by this library.

### Enum Constant Summary

Enum Constants
`amd64`
`i686`
`unknown`

### Method Summary

All Methods Static Methods Concrete Methods
`static Arch` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Arch[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### amd64

    public static final Arch amd64

#### i686

    public static final Arch i686

#### unknown

    public static final Arch unknown

### Method Detail

#### values

    public static Arch[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Arch c : Arch.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Arch valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null